Snyk isn't working with my Python 3 project

Does Snyk support Python 3 and Python 2?

Snyk is able to test both  Python 2 and 3 GitHub repositories. However, the default behaviour is to treat the repository as a Python 2 unless set otherwise.

To change the default Python version you can either set it at:

  1. A project level 
  2. The Snyk organisation level by contacting support@snyk.io

To set the default at the project level you need to create or edit a .snyk file with the following:

language-settings:
python: "2.7"